## org.eclipse.emf.mapping
Interface MappingPackage.Literals

Enclosing interface:
  MappingPackage

    public static interface MappingPackage.Literals

Defines literals for the meta objects that represent

- each class,
- each feature of each class,
- each enum,
- and each data type

Field Summary
`static EClass` `COMPLEX_TYPE_CONVERTER` The meta object literal for the '`Complex Type Converter`' class
`static EReference` `COMPLEX_TYPE_CONVERTER__IN2OUT` The meta object literal for the 'In2out' reference feature
`static EReference` `COMPLEX_TYPE_CONVERTER__OUT2IN` The meta object literal for the 'Out2in' reference feature
`static EClass` `FUNCTION_NAME_PAIR` The meta object literal for the '`Function Name Pair`' class
`static EAttribute` `FUNCTION_NAME_PAIR__IN2OUT` The meta object literal for the 'In2out' attribute feature
`static EAttribute` `FUNCTION_NAME_PAIR__OUT2IN` The meta object literal for the 'Out2in' attribute feature
`static EClass` `FUNCTION_PAIR` The meta object literal for the '`Function Pair`' class
`static EReference` `FUNCTION_PAIR__IN2OUT` The meta object literal for the 'In2out' reference feature
`static EReference` `FUNCTION_PAIR__OUT2IN` The meta object literal for the 'Out2in' reference feature
`static EClass` `MAPPING` The meta object literal for the '`Mapping`' class
`static EReference` `MAPPING__HELPER` The meta object literal for the 'Helper' containment reference feature
`static EReference` `MAPPING__INPUTS` The meta object literal for the 'Inputs' reference list feature
`static EReference` `MAPPING__NESTED` The meta object literal for the 'Nested' containment reference list feature
`static EReference` `MAPPING__NESTED_IN` The meta object literal for the 'Nested In' container reference feature
`static EReference` `MAPPING__OUTPUTS` The meta object literal for the 'Outputs' reference list feature
`static EReference` `MAPPING__TYPE_MAPPING` The meta object literal for the 'Type Mapping' reference feature
`static EClass` `MAPPING_HELPER` The meta object literal for the '`Helper`' class
`static EReference` `MAPPING_HELPER__HELPED_OBJECT` The meta object literal for the 'Helped Object' reference feature
`static EReference` `MAPPING_HELPER__MAPPER` The meta object literal for the 'Mapper' container reference feature
`static EReference` `MAPPING_HELPER__NESTED` The meta object literal for the 'Nested' containment reference list feature
`static EReference` `MAPPING_HELPER__NESTED_IN` The meta object literal for the 'Nested In' container reference feature
`static EClass` `MAPPING_ROOT` The meta object literal for the '`Root`' class
`static EAttribute` `MAPPING_ROOT__COMMAND_STACK` The meta object literal for the 'Command Stack' attribute feature
`static EAttribute` `MAPPING_ROOT__OUTPUT_READ_ONLY` The meta object literal for the 'Output Read Only' attribute feature
`static EAttribute` `MAPPING_ROOT__TOP_TO_BOTTOM` The meta object literal for the 'Top To Bottom' attribute feature
`static EClass` `MAPPING_STRATEGY` The meta object literal for the '`Strategy`' class
`static EClass` `TYPE_CONVERTER` The meta object literal for the '`Type Converter`' class

Field Detail

### MAPPING_HELPER

    static final EClass MAPPING_HELPER

  The meta object literal for the '`Helper`' class.

  See Also:
    `MappingHelperImpl`, `MappingPackageImpl.getMappingHelper()`

### MAPPING_HELPER__MAPPER

    static final EReference MAPPING_HELPER__MAPPER

  The meta object literal for the 'Mapper' container reference feature.

### MAPPING_HELPER__HELPED_OBJECT

    static final EReference MAPPING_HELPER__HELPED_OBJECT

  The meta object literal for the 'Helped Object' reference feature.

### MAPPING_HELPER__NESTED_IN

    static final EReference MAPPING_HELPER__NESTED_IN

  The meta object literal for the 'Nested In' container reference feature.

### MAPPING_HELPER__NESTED

    static final EReference MAPPING_HELPER__NESTED

  The meta object literal for the 'Nested' containment reference list feature.

### MAPPING

    static final EClass MAPPING

  The meta object literal for the '`Mapping`' class.

  See Also:
    `MappingImpl`, `MappingPackageImpl.getMapping()`

### MAPPING__HELPER

    static final EReference MAPPING__HELPER

  The meta object literal for the 'Helper' containment reference feature.

### MAPPING__NESTED

    static final EReference MAPPING__NESTED

  The meta object literal for the 'Nested' containment reference list feature.

### MAPPING__NESTED_IN

    static final EReference MAPPING__NESTED_IN

  The meta object literal for the 'Nested In' container reference feature.

### MAPPING__INPUTS

    static final EReference MAPPING__INPUTS

  The meta object literal for the 'Inputs' reference list feature.

### MAPPING__OUTPUTS

    static final EReference MAPPING__OUTPUTS

  The meta object literal for the 'Outputs' reference list feature.

### MAPPING__TYPE_MAPPING

    static final EReference MAPPING__TYPE_MAPPING

  The meta object literal for the 'Type Mapping' reference feature.

### TYPE_CONVERTER

    static final EClass TYPE_CONVERTER

  The meta object literal for the '`Type Converter`' class.

  See Also:
    `TypeConverterImpl`, `MappingPackageImpl.getTypeConverter()`

### FUNCTION_PAIR

    static final EClass FUNCTION_PAIR

  The meta object literal for the '`Function Pair`' class.

  See Also:
    `FunctionPairImpl`, `MappingPackageImpl.getFunctionPair()`

### FUNCTION_PAIR__IN2OUT

    static final EReference FUNCTION_PAIR__IN2OUT

  The meta object literal for the 'In2out' reference feature.

### FUNCTION_PAIR__OUT2IN

    static final EReference FUNCTION_PAIR__OUT2IN

  The meta object literal for the 'Out2in' reference feature.

### FUNCTION_NAME_PAIR

    static final EClass FUNCTION_NAME_PAIR

  The meta object literal for the '`Function Name Pair`' class.

  See Also:
    `FunctionNamePairImpl`, `MappingPackageImpl.getFunctionNamePair()`

### FUNCTION_NAME_PAIR__IN2OUT

    static final EAttribute FUNCTION_NAME_PAIR__IN2OUT

  The meta object literal for the 'In2out' attribute feature.

### FUNCTION_NAME_PAIR__OUT2IN

    static final EAttribute FUNCTION_NAME_PAIR__OUT2IN

  The meta object literal for the 'Out2in' attribute feature.

### MAPPING_STRATEGY

    static final EClass MAPPING_STRATEGY

  The meta object literal for the '`Strategy`' class.

  See Also:
    `MappingStrategyImpl`, `MappingPackageImpl.getMappingStrategy()`

### MAPPING_ROOT

    static final EClass MAPPING_ROOT

  The meta object literal for the '`Root`' class.

  See Also:
    `MappingRootImpl`, `MappingPackageImpl.getMappingRoot()`

### MAPPING_ROOT__OUTPUT_READ_ONLY

    static final EAttribute MAPPING_ROOT__OUTPUT_READ_ONLY

  The meta object literal for the 'Output Read Only' attribute feature.

### MAPPING_ROOT__TOP_TO_BOTTOM

    static final EAttribute MAPPING_ROOT__TOP_TO_BOTTOM

  The meta object literal for the 'Top To Bottom' attribute feature.

### MAPPING_ROOT__COMMAND_STACK

    static final EAttribute MAPPING_ROOT__COMMAND_STACK

  The meta object literal for the 'Command Stack' attribute feature.

### COMPLEX_TYPE_CONVERTER

    static final EClass COMPLEX_TYPE_CONVERTER

  The meta object literal for the '`Complex Type Converter`' class.

  See Also:
    `ComplexTypeConverterImpl`, `MappingPackageImpl.getComplexTypeConverter()`

### COMPLEX_TYPE_CONVERTER__IN2OUT

    static final EReference COMPLEX_TYPE_CONVERTER__IN2OUT

  The meta object literal for the 'In2out' reference feature.

### COMPLEX_TYPE_CONVERTER__OUT2IN

    static final EReference COMPLEX_TYPE_CONVERTER__OUT2IN

  The meta object literal for the 'Out2in' reference feature.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.